function h = arrow(x,y,w,t)
%draws an arrow from point (x(1),y(1)) to (x(2),y(2))
%  the arrow itself being of dimension w
%  t is line thickness

angle=atan2(y(2)-y(1),x(2)-x(1));
h(1)= line(x,y,'LineWidth',t);

dx=w*cos(angle+pi/6);
dy=w*sin(angle+pi/6);
h(2)=line([x(1) x(1)+dx],[y(1) y(1)+dy],'LineWidth',t);

dx=w*cos(angle-pi/6);
dy=w*sin(angle-pi/6);
h(3)=line([x(1) x(1)+dx],[y(1) y(1)+dy],'LineWidth',t);

% set(h,'color',[1 0 0]);    %red
  set(h,'color',[0 0 1]);    %blue
% set(h,'color',[1 1 1]);    %black
