c
C   NOTE THAT coupliso.inc OR couplani.inc SHOULD BE INCLUDED AT THE END
C   THIS FILE DEPENDING ON YOUR APPLICATION
c
      parameter (nmodes=10)
      parameter (nmoder=5 )
      parameter (nptz=260)
      parameter (nptx=116,npty=116)
      parameter (maxnz=200)
c nptz: number of vertical points for eigenfunctions,
c maxnz: number of vertical points defining the heterogeneity
c         
c input and output units
      common /inout/in3,in8,in9
      complex ydi
      data ydi /(0.,1.)/
      complex czero
      data czero /(0.,0.)/
      complex cone 
      data cone  /(1.,0.)/
      common /pivalue/pi
c number of modes
      common/period/perio,nmr,nml,nmm
c elements from saito 
      dimension ak(nmodes),aq(nmodes)
      real depli(6,nmodes),dplz(6,nptz,nmodes)
      common/saito/dplz,depli,ak,aq

c elements related to reference model 
      dimension aa(nptz),af(nptz),al(nptz),ro(nptz)
      dimension hh(nptz),dz(nptz)
      common/newm/aa,af,al,ro,hh,dz,nnmd
      common/waterly/epm,indepm

c elements related to heterogeneous model
      common/dimz/hmin,ntop,nbot
      character*3 celbet
      common/hlevel/delbet,delani,celbet

c elements related to the wavefield 
      common /champ0/ iminit
      complex hank0(nmodes,nptx,npty),hank1(nmodes,nptx,npty)
      complex hank2(nmodes,nptx,npty)
      common /hankel/hank0,hank1,hank2
      complex sint0(nmodes,nmodes),sint1(nmodes,nmodes)
      complex sint2(nmodes,nmodes)
      common /singul/sint0,sint1,sint2

      complex phitot(nptx,npty,nmodes)
      complex dphi(nptx,npty,nmodes)
      complex dphinw(nptx,npty,nmodes)
      common/champ/phitot,dphi,dphinw

      include "coupliso.inc"
c     include "couplani.inc"
